CREATE TABLE bats (
  id INTEGER PRIMARY KEY,
  name VARCHAR(255) NOT NULL,
  owner_id INTEGER,

  FOREIGN KEY(owner_id) REFERENCES human(id)
);

CREATE TABLE cats (
  id INTEGER PRIMARY KEY,
  name VARCHAR(255) NOT NULL,
  owner_id INTEGER,

  FOREIGN KEY(owner_id) REFERENCES human(id)
);

CREATE TABLE houses (
  id INTEGER PRIMARY KEY,
  address VARCHAR(255) NOT NULL
);

CREATE TABLE humans (
  id INTEGER PRIMARY KEY,
  fname VARCHAR(255) NOT NULL,
  lname VARCHAR(255) NOT NULL,
  house_id INTEGER,

  FOREIGN KEY(house_id) REFERENCES human(id)
);

CREATE TABLE play_times (
  id INTEGER PRIMARY KEY,
  toy_id INTEGER NOT NULL,
  cat_id INTEGER NOT NULL,

  FOREIGN KEY(cat_id) REFERENCES cat(id),
  FOREIGN KEY(toy_id) REFERENCES toy(id)
);

CREATE TABLE toys (
  id INTEGER PRIMARY KEY,
  name VARCHAR(255) NOT NULL
);

