Dir.glob("#{PROJECT_ROOT}/app/models/*.rb") do |model_file|
  require_relative model_file
end

require_relative "#{PROJECT_ROOT}/app/controllers/application_controller"
Dir.glob("#{PROJECT_ROOT}/app/controllers/*.rb") do |controller_file|
  next if controller_file == 'application_controller'
  require_relative controller_file
end


# Draw your routes here, format:
# get Regexp.new("^/trails/(?<id>\\d+)$"), HikingTrailsController, :show

ROUTES = Proc.new do
  get Regexp.new("^/?$"), StaticController, :root
end
